# Contributing to the Sparkle framework

## Message to the Contributor
First and foremost, the __Sparkle.css__ framework development team would like to thank you for having interest in our project, and for the time you took, or are taking, to contribute to this project. The team is already working hard to provide a renovative and simple design platform for websites and apps; and your contribution helps, and will help, us achieve that possibility.

Before you can commit to our project, we would like to emphasize the importance of reading the guidelines for contributing to this project, so that it clears out a few questions or concerns you may have. Again, thank you for your time and efforts and interest. :smile:

## Code of Conduct
Our team wants to emphasize and encourage teamwork, good communication, and respect. We understand that not everyone is on the same level of experience and understanding. But everyone had a starting point, somewhere in the past. Therefore, we want to help you the best way we can, and we also want you to help others who might need help, if we cannot reach them in time.

Disrespect is __not__ tolerated, and it will result in your receiving a strong warning and potentially being banned from the team. Please, be mindful of others, as you would like others to be mindful of you. Note that contstructive criticism (which are very well appreciated and encouraged) is __not__ the same thing as insults or any other forms of disrespect!

## Questions and Concerns
Our team strives to provide as much help as we can, and in a timely manner, to make sure your experience using and designing with __Sparkle.css__ is a positive one. Questions can be published in our [__Issues__](https://github.com/jdriviere/sparkle-css/issues) page with the following format:

```
Version Used: x.y.z

Question(s): This is where you as your question(s), or address your concerns.
```

## Issues, Bugs, and Solutions
Our development team always seeks ways to improve the framework. But nothing is perfect. Extra brains like yours can catch things that may have escaped us. Therefore, we encourage you to send us the bugs that you may have found, or share your issues and solutions with us, as well as the community.

```
Version Used: x.y.z

Origin of the Problem:
This is where you describe where (e.g.: from which file, folder, or page) the problem comes from.

Overview of the Problem:
This is where you give a brief description of the problem.

Description of the Problem:
This is where you describe, with pictures or videos (GIF) if possible, the problem that you are having. Be as specific as you can be in that section, concerning the problem that you're experiencing. If need be, please provide your code in this section too.

Steps to Reproduce the Problem:
This is where you define the steps you took to arrive at the problem.

Expected Behavior:
This is where you describe what you were trying to achieve, and expected from your code.

Actual Behavior:
This is where you describe what you received from your code. Pictures are welcomed on this section too.

Proposed Solutions (if any):
This is where you describe how you have solved, if have done so, the problem you had. This section is especially useful as reference for anyone who may have similar problems in the future.
```

If you see any errors on our [__official website__](https://sparklecss.herokuapp.com), this template can also be used to address them.

## New Features
Do you have any new features or fixes you'd like to bring to our attention? We are open to them! Simply submit your request as an [__Issue__](https://github.com/jdriviere/sparkle-css/issues) or as a new [__Pull Request__](https://github.com/jdriviere/sparkle-css/pulls) in the main repository. Keep in mind that *__all__* your submissions must follow the required format proposed for the Sparkle framework. In another note, all ideas are welcomed--but not all of them can be implemented, unfortunately*.

```
Version Used: x.y.z

Type of Feature (New | Patch/Fix):
This is where you address what kind of feature (i.e.: new or patch/fix) you would like to see implemented, or fix(es) you would like to propose.

Purpose of the Feature:
This is where you describe why the feature may be useful. Make sure it is simple to implement.
```

*If you would like to join our team and expand the Sparkle framework universe, we encourage you to build your own Sparkle-based expansion and submit it [here](https://github.com/sparkle-css).